Arbor 3: FSM & BT Graph Editor 3.7.2

Public Member Functions | Static Public Member Functions | List of all members
FlexibleBounds Class Reference

Class to handle a flexible Bounds type reference method there is more than one. More...

Inheritance diagram for FlexibleBounds:

## Public Member Functions
| FlexibleBounds ()
| FlexibleBounds default constructor More...
| FlexibleBounds (Bounds value)
| FlexibleBounds constructor More...
| FlexibleBounds (BoundsParameterReference parameter)
| FlexibleBounds constructor More...
| FlexibleBounds (InputSlotBounds slot)
| FlexibleBounds constructor More...
Public Member Functions inherited from FlexibleField< Bounds >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator Bounds (FlexibleBounds flexible)
| Cast FlexibleBounds to Bounds. More...
static | operator FlexibleBounds (Bounds value)
| Cast Bounds to FlexibleBounds. More...
Static Public Member Functions inherited from FlexibleField< Bounds >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Bounds >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< Bounds >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Bounds type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleBounds() [1/4]

FlexibleBounds | ( |  | ) |

FlexibleBounds default constructor

## ◆ FlexibleBounds() [2/4]

FlexibleBounds | ( | Bounds | value | ) |

FlexibleBounds constructor

Parameters

  value | Value

## ◆ FlexibleBounds() [3/4]

FlexibleBounds | ( | BoundsParameterReference | parameter | ) |

FlexibleBounds constructor

Parameters

  parameter | Parameter

## ◆ FlexibleBounds() [4/4]

FlexibleBounds | ( | InputSlotBounds | slot | ) |

FlexibleBounds constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ operator Bounds()

static operator Bounds | ( | FlexibleBounds | flexible | ) |
| explicit static

Cast FlexibleBounds to Bounds.

Parameters

  flexible | FlexibleBounds

## ◆ operator FlexibleBounds()

static operator FlexibleBounds | ( | Bounds | value | ) |
| explicit static

Cast Bounds to FlexibleBounds.

Parameters

  value | Bounds